/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");
         
         //Variables de colores
         sym.setVariable("fondo", "rgba(200,200,200,0.0)");
         sym.setVariable("colorbad", "rgba(50,230,60,0.4)");
         sym.setVariable("fondobad", "rgba(231,50,60,0.4)");
         sym.setVariable("fondook", "rgba(50,230,60,0.4)");
         sym.setVariable("fondoini", "rgba(244,244,244,0)");
         
         //Cambiar por la cantidad de elementos arrastrables
         TotalDragElements = 6;
         
         //Cambiar por la cantidad de elementos droppables o de destino
         TotalDropElements = 6;
         
         for(var i=1; i<=TotalDragElements; i++){
         	sym.setVariable("left"+i, sym.$("Drag_"+i).css("left"));
         	sym.setVariable("top"+i, sym.$("Drag_"+i).css("top"));
         }
         
         for(var i=1; i<=50; i++){
         	sym.setVariable("DragVar"+i, 0);
            sym.setVariable("DropVar"+i, 0); 
         }
         
         function matrixToArray(matrix) {
             var scaleVars = matrix.substr(7, matrix.length - 8).split(', ');
             return scaleVars[0];
         }
         
         function calcularDimensiones(){
         	anchoDrag = parseInt($(this).width()/2);
         	altoDrag = parseInt($(this).height()/2);
         	console.log(anchoDrag);	
         	$(this).draggable({
         		cursorAt:{top: altoDrag, left: anchoDrag}
         	});
         }
         //Centrar el cursos en el elemento-cambiar por la mitad del ancho y alto
         //sym.$('[id^="Stage_Drag_"]').draggable({ cursorAt: { top: 20, left: 20 } });
         
          sym.$('[id^="Stage_Drag_"]').draggable({
         	//axis: ["x","y"], 
         	appendTo: "body",
         	containment: '#Stage', 
         	opacity: 0.4,
         	iframeFix: true,
         	zIndex: 100,
         	cursor:'move',		
         	refreshPositions: true,
         	//snap:true,
         	//snapMode: "both",
         	//snapTolerance:20,
         	scroll:false,
         	//helper: "clone",
         	revert: "invalid",
         	revertDuration: 500,
         
         	helper: function() {
         		var escalaTemp = $('#Stage').css('transform');
         		var escala = matrixToArray(escalaTemp);
               var helper = $(this).clone(); 
               helper.css({
             	"transform":"scale("+escala+")",
             	"-o-transform":"scale("+escala+")",
             	"-ms-transform":"scale("+escala+")",
             	"-webkit-transform":"scale("+escala+")",
             	"-moz-transform":"scale("+escala+")",
             	"-o-transform":"scale("+escala+")",
             	"-moz-transform-origin":"left top",
         		"-webkit-transform-origin":"left top",
         		"-o-transform-origin":"left top",
         		"-ms-transform-origin":"left top",
             	});        
               return helper;
            }
         });
         
         
         
               sym.$("Drop_1").droppable({
                	  drop: function( event, ui ){ 
                			sym.setVariable("DropVar1", 0);
         
                			//sym.setVariable("DragVar1", 0);
                			//console.log("DragVar1:"+DragVar1);
                			if (ui.draggable.attr('id')=="Stage_Drag_1") {
                			//console.log("DragVar1 drop:"+DragVar1);
                       //Reproducir una pista de audio 
         					sym.$("Audio_3")[0].play();
         
                				sym.setVariable("DragVar1", 1);
                				sym.setVariable("DropVar1", 1);
                			}
         
         
         					//si se quieren más opciones para este box se copian así
         
         
                			//sym.setVariable("DragVar4", 0);//Dependiendo del drag se debe cambiar el número de la variable DragVar#
                			if (ui.draggable.attr('id')=="Stage_Drag_4") {
                			sym.$("Audio_3")[0].play();
                				sym.setVariable("DragVar4", 1);
                				sym.setVariable("DropVar1", 1);
                			}
         
         
                			coordenadas("Drop_1", ui.draggable.attr('id').slice(6));	
                			}
         
                });	
         
         
                sym.$("Drop_2").droppable({
                		drop: function( event, ui ){ 
                		sym.setVariable("DropVar2", 0);
         
         				//sym.setVariable("DragVar2", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_2") {
                			sym.$("Audio_2")[0].play();
                				sym.setVariable("DragVar2", 1);
                				sym.setVariable("DropVar2", 1);	
                			}
         
                		//sym.setVariable("DragVar5", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_5") {
                			sym.$("Audio_2")[0].play();
                				sym.setVariable("DragVar5", 1);
                				sym.setVariable("DropVar2", 1);	
                			} 
         
                			coordenadas("Drop_2", ui.draggable.attr('id').slice(6));	}
                });	
         
         
         
                sym.$("Drop_3").droppable({
                		drop: function( event, ui ){
         				sym.setVariable("DropVar3", 0);
         
         				//sym.setVariable("DragVar3", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_3") {
                			sym.$("Audio_1")[0].play();
                				sym.setVariable("DragVar3", 1);
                				sym.setVariable("DropVar3", 1);
                			}
         
                			//sym.setVariable("DragVar6", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_6") {
                			sym.$("Audio_1")[0].play();
                				sym.setVariable("DragVar6", 1);
                				sym.setVariable("DropVar3", 1);
                			}
                			coordenadas("Drop_3", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_4").droppable({
                		drop: function( event, ui ){
         
                		sym.setVariable("DropVar4", 0);
                		//sym.setVariable("DragVar4", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_4") {
                			sym.$("Audio_3")[0].play();
                				sym.setVariable("DragVar4", 1);
                				sym.setVariable("DropVar4", 1);
                			}
         
                			//sym.setVariable("DragVar1", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_1") {
                			sym.$("Audio_3")[0].play();
                				sym.setVariable("DragVar1", 1);
                				sym.setVariable("DropVar4", 1);
                			}
         
                			coordenadas("Drop_4", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_5").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar5", 0);
         
                		//sym.setVariable("DragVar5", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_5") {
                			sym.$("Audio_2")[0].play();
                				sym.setVariable("DragVar5", 1);
                				sym.setVariable("DropVar5", 1);
                			}
                			//sym.setVariable("DragVar2", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_2") {
                			sym.$("Audio_2")[0].play();
                				sym.setVariable("DragVar2", 1);
                				sym.setVariable("DropVar5", 1);
                			}
         
                			coordenadas("Drop_5", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_6").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar6", 0);
         
                		//sym.setVariable("DragVar6", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_6") {
                			sym.$("Audio_1")[0].play();
                				sym.setVariable("DragVar6", 1);
                				sym.setVariable("DropVar6", 1);
                			}
                			//sym.setVariable("DragVar3", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_3") {
                			sym.$("Audio_1")[0].play();
                				sym.setVariable("DragVar3", 1);
                				sym.setVariable("DropVar6", 1);
                			}
                			coordenadas("Drop_6", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_7").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar7", 0);
                		sym.setVariable("DragVar7", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_7") {
                				sym.setVariable("DragVar7", 1);
                				sym.setVariable("DropVar7", 1);
                			}
                			coordenadas("Drop_7", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_8").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar8", 0);
                		sym.setVariable("DragVar8", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_8") {
                				sym.setVariable("DragVar8", 1);
                				sym.setVariable("DropVar8", 1);
                			}
                			coordenadas("Drop_8", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_9").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar9", 0);
                		sym.setVariable("DragVar9", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_9") {
                				sym.setVariable("DragVar9", 1);
                				sym.setVariable("DropVar9", 1);
                			}
         
                			coordenadas("Drop_9", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_10").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar10", 0);
                		sym.setVariable("DragVar10", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_10") {
                				sym.setVariable("DragVar10", 1);
                				sym.setVariable("DropVar10", 1);
                			}
         
                			coordenadas("Drop_10", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_11").droppable({
                		drop: function( event, ui ){
                		sym.setVariable("DropVar11", 0);
                		sym.setVariable("DragVar11", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_11") {
                				sym.setVariable("DragVar11", 1);
                				sym.setVariable("DropVar11", 1);
                			}
         
                			coordenadas("Drop_11", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_12").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar12", 0);
                		sym.setVariable("DragVar12", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_12") {
                				sym.setVariable("DragVar12", 1);
                				sym.setVariable("DropVar12", 1);
                			}
                			coordenadas("Drop_12", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_13").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar13", 0);
                		sym.setVariable("DragVar13", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_13") {
                				sym.setVariable("DragVar13", 1);
                				sym.setVariable("DropVar13", 1);
                			}
                			coordenadas("Drop_13", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_14").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar14", 0);
                		sym.setVariable("DragVar14", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_14") {
                				sym.setVariable("DragVar14", 1);
                				sym.setVariable("DropVar14", 1);
                			}
         
                			coordenadas("Drop_14", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_15").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar15", 0);
                		sym.setVariable("DragVar15", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_15") {
                				sym.setVariable("DragVar15", 1);
                				sym.setVariable("DropVar15", 1);
                			}
         
                			coordenadas("Drop_15", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_16").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar16", 0);
                		sym.setVariable("DragVar16", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_16") {
                				sym.setVariable("DragVar16", 1);
                				sym.setVariable("DropVar16", 1);
                			}
         
                			coordenadas("Drop_16", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_17").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar17", 0);
                		sym.setVariable("DragVar17", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_17") {
                				sym.setVariable("DragVar17", 1);
                				sym.setVariable("DropVar17", 1);
                			}
                			coordenadas("Drop_17", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_18").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar18", 0);
                		sym.setVariable("DragVar18", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_18") {
                				sym.setVariable("DragVar18", 1);
                				sym.setVariable("DropVar18", 1);
                			}
                			coordenadas("Drop_18", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_19").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar19", 0);
                		sym.setVariable("DragVar19", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_19") {
                				sym.setVariable("DragVar19", 1);
                				sym.setVariable("DropVar19", 1);
                			}
         
                			coordenadas("Drop_19", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_20").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar20", 0);
                		sym.setVariable("DragVar20", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_20") {
                				sym.setVariable("DragVar20", 1);
                				sym.setVariable("DropVar20", 1);
                			}
         
                			coordenadas("Drop_20", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_21").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar21", 0);
                		sym.setVariable("DragVar21", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_21") {
                				sym.setVariable("DragVar21", 1);
                				sym.setVariable("DropVar21", 1);
                			}
         
                			coordenadas("Drop_21", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_22").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar22", 0);
                		sym.setVariable("DragVar22", 0);
         
                			if (ui.draggable.attr('id')=="Stage_Drag_22") {
                				sym.setVariable("DragVar22", 1);
                				sym.setVariable("DropVar22", 1);	
                			}
         
                			coordenadas("Drop_22", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_23").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar23", 0);
                		sym.setVariable("DragVar23", 0);
         
                			if (ui.draggable.attr('id')=="Stage_Drag_23") {
                				sym.setVariable("DragVar23", 1);
                				sym.setVariable("DropVar23", 1);
                			}
                			coordenadas("Drop_23", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_24").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar24", 0);
                		sym.setVariable("DragVar24", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_24") {
                				sym.setVariable("DragVar24", 1);
                				sym.setVariable("DropVar24", 1);
                			}
         
                			coordenadas("Drop_24", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_25").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar25", 0);
                		sym.setVariable("DragVar25", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_25") {
                				sym.setVariable("DragVar25", 1);
                				sym.setVariable("DropVar25", 1);
                			}
         
                			coordenadas("Drop_25", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_26").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar26", 0);
                		sym.setVariable("DragVar26", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_26") {
                				sym.setVariable("DragVar26", 1);
                				sym.setVariable("DropVar26", 1);
                			}
         
                			coordenadas("Drop_26", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_27").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar27", 0);
                		sym.setVariable("DragVar27", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_27") {
                				sym.setVariable("DragVar27", 1);
                				sym.setVariable("DropVar27", 1);
                			}
                			coordenadas("Drop_27", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_28").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar28", 0);
                		sym.setVariable("DragVar28", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_28") {
                				sym.setVariable("DragVar28", 1);
                				sym.setVariable("DropVar28", 1);
                			}
                			coordenadas("Drop_28", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_29").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar29", 0);
                		sym.setVariable("DragVar29", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_29") {
                				sym.setVariable("DragVar29", 1);
                				sym.setVariable("DropVar29", 1);
                			}
         
                			coordenadas("Drop_29", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_30").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar30", 0);
                		sym.setVariable("DragVar30", 0);
                			if (ui.draggable.attr('id')=="Stage_Drag_30") {
                				sym.setVariable("DragVar30", 1);
                				sym.setVariable("DropVar30", 1);
                			}
         
                			coordenadas("Drop_30", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_31").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar31", 0);
                		sym.setVariable("DragVar31", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_31") {
                			sym.setVariable("DragVar31", 1);
                			sym.setVariable("DropVar31", 1);
                		}
         
                		coordenadas("Drop_31", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_32").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar32", 0);
                		sym.setVariable("DragVar32", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_32") {
                			sym.setVariable("DragVar32", 1);
                			sym.setVariable("DropVar32", 1);
                		}
         
                		coordenadas("Drop_32", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_33").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar33", 0);
                		sym.setVariable("DragVar33", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_33") {
                			sym.setVariable("DragVar33", 1);
                			sym.setVariable("DropVar33", 1);
                		}
         
                		coordenadas("Drop_33", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_34").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar34", 0);
                		sym.setVariable("DragVar34", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_34") {
                			sym.setVariable("DragVar34", 1);
                			sym.setVariable("DropVar34", 1);
                		}
         
                		coordenadas("Drop_34", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_35").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar35", 0);
                		sym.setVariable("DragVar35", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_35") {
                			sym.setVariable("DragVar35", 1);
                			sym.setVariable("DropVar35", 1);
                		}
         
                		coordenadas("Drop_35", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_36").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar36", 0);
                		sym.setVariable("DragVar36", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_36") {
                			sym.setVariable("DragVar36", 1);
                			sym.setVariable("DropVar36", 1);
                		}
         
                		coordenadas("Drop_36", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_37").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar37", 0);
                		sym.setVariable("DragVar37", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_37") {
                			sym.setVariable("DragVar37", 1);
                			sym.setVariable("DropVar37", 1);
                		}
         
                		coordenadas("Drop_37", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_38").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar38", 0);
                		sym.setVariable("DragVar38", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_38") {
                			sym.setVariable("DragVar38", 1);
                			sym.setVariable("DropVar38", 1);
                		}
         
                		coordenadas("Drop_38", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_39").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar39", 0);
                		sym.setVariable("DragVar39", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_39") {
                			sym.setVariable("DragVar39", 1);
                			sym.setVariable("DropVar39", 1);
                		}
         
                		coordenadas("Drop_39", ui.draggable.attr('id').slice(6));	}
                });
         
         
                sym.$("Drop_40").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar40", 0);
                		sym.setVariable("DragVar40", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_39") {
                			sym.setVariable("DragVar40", 1);
                			sym.setVariable("DropVar40", 1);
                		}
         
                		coordenadas("Drop_40", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_41").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar41", 0);
                		sym.setVariable("DragVar41", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_41") {
                			sym.setVariable("DragVar41", 1);
                			sym.setVariable("DropVar41", 1);
                		}
         
                		coordenadas("Drop_41", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_42").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar42", 0);
                		sym.setVariable("DragVar42", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_42") {
                			sym.setVariable("DragVar42", 1);
                			sym.setVariable("DropVar42", 1);
                		}
         
                		coordenadas("Drop_42", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_43").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar43", 0);
                		sym.setVariable("DragVar43", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_43") {
                			sym.setVariable("DragVar43", 1);
                			sym.setVariable("DropVar43", 1);
                		}
         
                		coordenadas("Drop_43", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_44").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar44", 0);
                		sym.setVariable("DragVar44", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_44") {
                			sym.setVariable("DragVar44", 1);
                			sym.setVariable("DropVar44", 1);
                		}
         
                		coordenadas("Drop_44", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_45").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar45", 0);
                		sym.setVariable("DragVar45", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_45") {
                			sym.setVariable("DragVar45", 1);
                			sym.setVariable("DropVar45", 1);
                		}
         
                		coordenadas("Drop_45", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_46").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar46", 0);
                		sym.setVariable("DragVar46", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_46") {
                			sym.setVariable("DragVar46", 1);
                			sym.setVariable("DropVar46", 1);
                		}
         
                		coordenadas("Drop_46", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_47").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar47", 0);
                		sym.setVariable("DragVar47", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_47") {
                			sym.setVariable("DragVar47", 1);
                			sym.setVariable("DropVar47", 1);
                		}
         
                		coordenadas("Drop_47", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_48").droppable({
                		drop: function( event, ui ){  
         
                		sym.setVariable("DropVar48", 0);
                		sym.setVariable("DragVar48", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_48") {
                			sym.setVariable("DragVar48", 1);
                			sym.setVariable("DropVar48", 1);
                		}
                		coordenadas("Drop_48", ui.draggable.attr('id').slice(6));	}
                });	
         
         
                sym.$("Drop_49").droppable({
                		drop: function( event, ui ){  
                		sym.setVariable("DropVar49", 0);
                		sym.setVariable("DragVar49", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_49") {
                			sym.setVariable("DragVar49", 1);
                			sym.setVariable("DropVar49", 1);
                		}
                		coordenadas("Drop_49", ui.draggable.attr('id').slice(6));	}
                });	
         
                sym.$("Drop_50").droppable({
                		drop: function( event, ui ){  
                		sym.setVariable("DropVar50", 0);
                		sym.setVariable("DragVar50", 0);
                		if (ui.draggable.attr('id')=="Stage_Drag_50") {
                			sym.setVariable("DragVar50", 1);
                			sym.setVariable("DropVar50", 1);
                		}
         
                			coordenadas("Drop_50", ui.draggable.attr('id').slice(6));	
                		}
                	});	
         
         
             function coordenadas (Drop, simbolo) {
                varxdrop = sym.$(Drop).css("left");
                varydrop = sym.$(Drop).css("top");
                varxdropanch = sym.$(Drop).css("width");
                varydropalto = sym.$(Drop).css("height");
                varxdropcentro = parseInt(varxdrop) + parseInt(varxdropanch)/2;
                varydropcentro = parseInt(varydrop) + parseInt(varydropalto)/2;
                varxdraganch = sym.$(simbolo).css("width");
                varydragalto = sym.$(simbolo).css("height");
                varxdragcentro = parseInt(varxdraganch)/2;
                varydragcentro = parseInt(varydragalto)/2;
                sym.$(simbolo).css({top: varydropcentro-varydragcentro});
                sym.$(simbolo).css({left: varxdropcentro-varxdragcentro});
                };
         
         
         
         

      });
      //Edge binding end

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         //botones
         sym.getSymbol("bt_validar").stop("normal");
         sym.getSymbol("bt_solucion").stop("down");
         sym.getSymbol("bt_reiniciar").stop("down");
         sym.getSymbol("bt_ayuda").stop("normal");
         sym.$("hotspot_validar").show();
         sym.$("hotspot_solucion").hide();
         sym.$("hotspot_reiniciar").hide();
         sym.$("hotspot_ayuda").show();
         
         //	Copiar la siguiente función para las correcciones del material anterior
         //	Esta función permite que los elementos no se solapen
         
         // Se establece el atributo vacio para todos los elementos droppables
         sym.$('[id^="Stage_Drop_"]').attr("dragelement","vacio");
         
         		 $(".ui-droppable").on( "drop", function( event, ui ) {
         		 	// Verifico el estado del drop (ocupado o vacio)
         					var estadoDrop = $(this).attr("dragelement");
         
         					// 
         					if(estadoDrop != "vacio"){										
         						var numDrag = estadoDrop.slice(11);	
         						var posLeftDrag = sym.getVariable("left"+numDrag);
         						var posTopDrag = sym.getVariable("top"+numDrag);
         						sym.$("#"+estadoDrop).animate({top: posTopDrag, left: posLeftDrag});
         						var idDraggable = ui.draggable.attr('id');
         						$(this).attr("dragelement",idDraggable);
         					} else{
         						var idDraggable = ui.draggable.attr('id');
         						$(this).attr("dragelement",idDraggable);
         					}
         
         		 } );
         
         		 $(".ui-droppable").droppable({	
         				out: function( event, ui ){ 
         					var estadoDrop = $(this).attr("dragelement");
         					var idDraggable = ui.draggable.attr('id');
         					if(estadoDrop == idDraggable ){	
         						$(this).attr("dragelement","vacio");					
         					}
         					else{						
         					}
         				}
         		 });
         
         
         
         //BOTÓN VALIDAR
         sym.$('hotspot_validar').click(function(){
         
         sym.$("caja_cerrada").hide();
         sym.$("caja_cerrada_tapa").show();
         sym.$("caja_abierta").show();
         
         
         
         
         //Definición de variables
         var DragVar1 = sym.getVariable("DragVar1");
         var DragVar2 = sym.getVariable("DragVar2");
         var DragVar3 = sym.getVariable("DragVar3");
         var DragVar4 = sym.getVariable("DragVar4");
         var DragVar5 = sym.getVariable("DragVar5");
         var DragVar6 = sym.getVariable("DragVar6");
         var DragVar7 = sym.getVariable("DragVar7");
         var DragVar8 = sym.getVariable("DragVar8");
         var DragVar9 = sym.getVariable("DragVar9");
         var DragVar10 = sym.getVariable("DragVar10");
         var DragVar11 = sym.getVariable("DragVar11");
         var DragVar12 = sym.getVariable("DragVar12");
         var DragVar13 = sym.getVariable("DragVar13");
         var DragVar14 = sym.getVariable("DragVar14");
         var DragVar15 = sym.getVariable("DragVar15");
         var DragVar16 = sym.getVariable("DragVar16");
         var DragVar17 = sym.getVariable("DragVar17");
         var DragVar18 = sym.getVariable("DragVar18");
         var DragVar19 = sym.getVariable("DragVar19");
         var DragVar20 = sym.getVariable("DragVar20");
         var DragVar21 = sym.getVariable("DragVar21");
         var DragVar22 = sym.getVariable("DragVar22");
         var DragVar23 = sym.getVariable("DragVar23");
         var DragVar24 = sym.getVariable("DragVar24");
         var DragVar25 = sym.getVariable("DragVar25");
         var DragVar26 = sym.getVariable("DragVar26");
         var DragVar27 = sym.getVariable("DragVar27");
         var DragVar28 = sym.getVariable("DragVar28");
         var DragVar29 = sym.getVariable("DragVar29");
         var DragVar30 = sym.getVariable("DragVar30");
         var DragVar31 = sym.getVariable("DragVar31");
         var DragVar32 = sym.getVariable("DragVar32");
         var DragVar33 = sym.getVariable("DragVar33");
         var DragVar34 = sym.getVariable("DragVar34");
         var DragVar35 = sym.getVariable("DragVar35");
         var DragVar36 = sym.getVariable("DragVar36");
         var DragVar37 = sym.getVariable("DragVar37");
         var DragVar38 = sym.getVariable("DragVar38");
         var DragVar39 = sym.getVariable("DragVar39");
         var DragVar40 = sym.getVariable("DragVar40");
         var DragVar41 = sym.getVariable("DragVar41");
         var DragVar42 = sym.getVariable("DragVar42");
         var DragVar43 = sym.getVariable("DragVar43");
         var DragVar44 = sym.getVariable("DragVar44");
         var DragVar45 = sym.getVariable("DragVar45");
         var DragVar46 = sym.getVariable("DragVar46");
         var DragVar47 = sym.getVariable("DragVar47");
         var DragVar48 = sym.getVariable("DragVar48");
         var DragVar49 = sym.getVariable("DragVar49");
         var DragVar50 = sym.getVariable("DragVar50");
         
         var DropVar1 = sym.getVariable("DropVar1");
         var DropVar2 = sym.getVariable("DropVar2");
         var DropVar3 = sym.getVariable("DropVar3");
         var DropVar4 = sym.getVariable("DropVar4");
         var DropVar5 = sym.getVariable("DropVar5");
         var DropVar6 = sym.getVariable("DropVar6");
         var DropVar7 = sym.getVariable("DropVar7");
         var DropVar8 = sym.getVariable("DropVar8");
         var DropVar9 = sym.getVariable("DropVar9");
         var DropVar10 = sym.getVariable("DropVar10");
         var DropVar11 = sym.getVariable("DropVar11");
         var DropVar12 = sym.getVariable("DropVar12");
         var DropVar13 = sym.getVariable("DropVar13");
         var DropVar14 = sym.getVariable("DropVar14");
         var DropVar15 = sym.getVariable("DropVar15");
         var DropVar16 = sym.getVariable("DropVar16");
         var DropVar17 = sym.getVariable("DropVar17");
         var DropVar18 = sym.getVariable("DropVar18");
         var DropVar19 = sym.getVariable("DropVar19");
         var DropVar20 = sym.getVariable("DropVar20");
         var DropVar21 = sym.getVariable("DropVar21");
         var DropVar22 = sym.getVariable("DropVar22");
         var DropVar23 = sym.getVariable("DropVar23");
         var DropVar24 = sym.getVariable("DropVar24");
         var DropVar25 = sym.getVariable("DropVar25");
         var DropVar26 = sym.getVariable("DropVar26");
         var DropVar27 = sym.getVariable("DropVar27");
         var DropVar28 = sym.getVariable("DropVar28");
         var DropVar29 = sym.getVariable("DropVar29");
         var DropVar30 = sym.getVariable("DropVar30");
         var DropVar31 = sym.getVariable("DropVar31");
         var DropVar32 = sym.getVariable("DropVar32");
         var DropVar33 = sym.getVariable("DropVar33");
         var DropVar34 = sym.getVariable("DropVar34");
         var DropVar35 = sym.getVariable("DropVar35");
         var DropVar36 = sym.getVariable("DropVar36");
         var DropVar37 = sym.getVariable("DropVar37");
         var DropVar38 = sym.getVariable("DropVar38");
         var DropVar39 = sym.getVariable("DropVar39");
         var DropVar40 = sym.getVariable("DropVar40");
         var DropVar41 = sym.getVariable("DropVar41");
         var DropVar42 = sym.getVariable("DropVar42");
         var DropVar43 = sym.getVariable("DropVar43");
         var DropVar44 = sym.getVariable("DropVar44");
         var DropVar45 = sym.getVariable("DropVar45");
         var DropVar46 = sym.getVariable("DropVar46");
         var DropVar47 = sym.getVariable("DropVar47");
         var DropVar48 = sym.getVariable("DropVar48");
         var DropVar49 = sym.getVariable("DropVar49");
         var DropVar50 = sym.getVariable("DropVar50");
         
         var colorok = sym.getVariable("colorok");
         var fondook = sym.getVariable("fondook");
         var colorbad = sym.getVariable("colorbad");
         var fondobad = sym.getVariable("fondobad");
         
         var Total = DragVar1 + DragVar2 + DragVar3 + DragVar4 + DragVar5 + DragVar6 + DragVar7 + DragVar8 + DragVar9 + DragVar10 + DragVar11 + DragVar12 + DragVar13 + DragVar14 + DragVar15 + DragVar16 + DragVar17 + DragVar18 + DragVar19 + DragVar20 + DragVar21 + DragVar22 + DragVar23 + DragVar24 + DragVar25 + DragVar26 + DragVar27 + DragVar28 + DragVar29 + DragVar30+ DragVar31 + DragVar32 + DragVar33 + DragVar34 + DragVar35 + DragVar36 + DragVar37 + DragVar38 + DragVar39 + DragVar40 + DragVar41 + DragVar42 + DragVar43 + DragVar44 + DragVar45 + DragVar46 + DragVar47 + DragVar48 + DragVar49 + DragVar50;
         
         console.log(Total);
         sym.$('[id^="Stage_Drag_"]').draggable({
         	disabled:true
         });
         
         if(DropVar1==1){
         sym.$("Drop_1").css({background: fondook})
         }
         else{
         sym.$("Drop_1").css({background: fondobad});
         }
         
         if(DropVar2==1){
         sym.$("Drop_2").css({background: fondook})
         }
         else{
         sym.$("Drop_2").css({background: fondobad});
         }
         
         if(DropVar3==1){
         sym.$("Drop_3").css({background: fondook})
         }
         else{
         sym.$("Drop_3").css({background: fondobad});
         }
         
         if(DropVar4==1){
         sym.$("Drop_4").css({background: fondook})
         }
         else{
         sym.$("Drop_4").css({background: fondobad});
         }
         
         if(DropVar5==1){
         sym.$("Drop_5").css({background: fondook})
         }
         else{
         sym.$("Drop_5").css({background: fondobad});
         }
         
         if(DropVar6==1){
         sym.$("Drop_6").css({background: fondook})
         }
         else{
         sym.$("Drop_6").css({background: fondobad});
         }
         
         if(DropVar7==1){
         sym.$("Drop_7").css({background: fondook})
         }
         else{
         sym.$("Drop_7").css({background: fondobad});
         }
         
         if(DropVar8==1){
         sym.$("Drop_8").css({background: fondook})
         }
         else{
         sym.$("Drop_8").css({background: fondobad});
         }
         
         if(DropVar9==1){
         sym.$("Drop_9").css({background: fondook})
         }
         else{
         sym.$("Drop_9").css({background: fondobad});
         }
         
         if(DropVar10==1){
         sym.$("Drop_10").css({background: fondook})
         }
         else{
         sym.$("Drop_10").css({background: fondobad});
         }
         
         if(DropVar11==1){
         sym.$("Drop_11").css({background: fondook})
         }
         else{
         sym.$("Drop_11").css({background: fondobad});
         }
         
         if(DropVar12==1){
         sym.$("Drop_12").css({background: fondook})
         }
         else{
         sym.$("Drop_12").css({background: fondobad});
         }
         
         if(DropVar13==1){
         sym.$("Drop_13").css({background: fondook})
         }
         else{
         sym.$("Drop_13").css({background: fondobad});
         }
         
         if(DropVar14==1){
         sym.$("Drop_14").css({background: fondook})
         }
         else{
         sym.$("Drop_14").css({background: fondobad});
         }
         
         if(DropVar15==1){
         sym.$("Drop_15").css({background: fondook})
         }
         else{
         sym.$("Drop_15").css({background: fondobad});
         }
         
         if(DropVar16==1){
         sym.$("Drop_16").css({background: fondook})
         }
         else{
         sym.$("Drop_16").css({background: fondobad});
         }
         
         if(DropVar17==1){
         sym.$("Drop_17").css({background: fondook})
         }
         else{
         sym.$("Drop_17").css({background: fondobad});
         }
         
         if(DropVar18==1){
         sym.$("Drop_18").css({background: fondook})
         }
         else{
         sym.$("Drop_18").css({background: fondobad});
         }
         
         if(DropVar19==1){
         sym.$("Drop_19").css({background: fondook})
         }
         else{
         sym.$("Drop_19").css({background: fondobad});
         }
         
         if(DropVar20==1){
         sym.$("Drop_20").css({background: fondook})
         }
         else{
         sym.$("Drop_20").css({background: fondobad});
         }
         
         if(DropVar21==1){
         sym.$("Drop_21").css({background: fondook})
         }
         else{
         sym.$("Drop_21").css({background: fondobad});
         }
         
         if(DropVar22==1){
         sym.$("Drop_22").css({background: fondook})
         }
         else{
         sym.$("Drop_22").css({background: fondobad});
         }
         
         if(DropVar23==1){
         sym.$("Drop_23").css({background: fondook})
         }
         else{
         sym.$("Drop_23").css({background: fondobad});
         }
         
         if(DropVar24==1){
         sym.$("Drop_24").css({background: fondook})
         }
         else{
         sym.$("Drop_24").css({background: fondobad});
         }
         
         if(DropVar25==1){
         sym.$("Drop_25").css({background: fondook})
         }
         else{
         sym.$("Drop_25").css({background: fondobad});
         }
         
         if(DropVar26==1){
         sym.$("Drop_26").css({background: fondook})
         }
         else{
         sym.$("Drop_26").css({background: fondobad});
         }
         
         if(DropVar27==1){
         sym.$("Drop_27").css({background: fondook})
         }
         else{
         sym.$("Drop_27").css({background: fondobad});
         }
         
         if(DropVar28==1){
         sym.$("Drop_28").css({background: fondook})
         }
         else{
         sym.$("Drop_28").css({background: fondobad});
         }
         
         if(DropVar29==1){
         sym.$("Drop_29").css({background: fondook})
         }
         else{
         sym.$("Drop_29").css({background: fondobad});
         }
         
         if(DropVar30==1){
         sym.$("Drop_30").css({background: fondook})
         }
         else{
         sym.$("Drop_30").css({background: fondobad});
         }
         
         if(DropVar31==1){
         sym.$("Drop_31").css({background: fondook})
         }
         else{
         sym.$("Drop_31").css({background: fondobad});
         }
         
         if(DropVar32==1){
         sym.$("Drop_32").css({background: fondook})
         }
         else{
         sym.$("Drop_32").css({background: fondobad});
         }
         
         if(DropVar33==1){
         sym.$("Drop_33").css({background: fondook})
         }
         else{
         sym.$("Drop_33").css({background: fondobad});
         }
         
         if(DropVar34==1){
         sym.$("Drop_34").css({background: fondook})
         }
         else{
         sym.$("Drop_34").css({background: fondobad});
         }
         
         if(DropVar35==1){
         sym.$("Drop_35").css({background: fondook})
         }
         else{
         sym.$("Drop_35").css({background: fondobad});
         }
         
         if(DropVar36==1){
         sym.$("Drop_36").css({background: fondook})
         }
         else{
         sym.$("Drop_36").css({background: fondobad});
         }
         
         if(DropVar37==1){
         sym.$("Drop_37").css({background: fondook})
         }
         else{
         sym.$("Drop_37").css({background: fondobad});
         }
         
         if(DropVar38==1){
         sym.$("Drop_38").css({background: fondook})
         }
         else{
         sym.$("Drop_38").css({background: fondobad});
         }
         
         if(DropVar39==1){
         sym.$("Drop_39").css({background: fondook})
         }
         else{
         sym.$("Drop_39").css({background: fondobad});
         }
         
         if(DropVar40==1){
         sym.$("Drop_40").css({background: fondook})
         }
         else{
         sym.$("Drop_40").css({background: fondobad});
         }
         
         if(DropVar41==1){
         sym.$("Drop_41").css({background: fondook})
         }
         else{
         sym.$("Drop_41").css({background: fondobad});
         }
         
         if(DropVar42==1){
         sym.$("Drop_42").css({background: fondook})
         }
         else{
         sym.$("Drop_42").css({background: fondobad});
         }
         
         if(DropVar43==1){
         sym.$("Drop_43").css({background: fondook})
         }
         else{
         sym.$("Drop_43").css({background: fondobad});
         }
         
         if(DropVar44==1){
         sym.$("Drop_44").css({background: fondook})
         }
         else{
         sym.$("Drop_44").css({background: fondobad});
         }
         
         if(DropVar45==1){
         sym.$("Drop_45").css({background: fondook})
         }
         else{
         sym.$("Drop_45").css({background: fondobad});
         }
         
         if(DropVar46==1){
         sym.$("Drop_46").css({background: fondook})
         }
         else{
         sym.$("Drop_46").css({background: fondobad});
         }
         
         if(DropVar47==1){
         sym.$("Drop_47").css({background: fondook})
         }
         else{
         sym.$("Drop_47").css({background: fondobad});
         }
         
         if(DropVar48==1){
         sym.$("Drop_48").css({background: fondook})
         }
         else{
         sym.$("Drop_48").css({background: fondobad});
         }
         
         if(DropVar49==1){
         sym.$("Drop_49").css({background: fondook})
         }
         else{
         sym.$("Drop_49").css({background: fondobad});
         }
         
         if(DropVar50==1){
         sym.$("Drop_50").css({background: fondook})
         }
         else{
         sym.$("Drop_50").css({background: fondobad});
         }
         
         
         //Muestra las leyendas
         if(Total==TotalDropElements){
         	sym.$("resp_correcta").show();
         	sym.$("Audio_4")[0].play();
         	setTimeout('$("#Stage_resp_correcta").fadeOut("slow");', 2500);
         	//audio correcto
         	//sym.$("mezcla")[0].play();
         	sym.$("success")[0].play();
         	sym.$("success")[0].muted = false;
         	//botones
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").hide();
         	sym.$("hotspot_reiniciar").show();	
         }
         else{
         	//mensaje respuesta incorrecta
         	sym.$("resp_incorrecta").show();
         	setTimeout('$("#Stage_resp_incorrecta").fadeOut("slow");', 2500);
         	//audio incorrecto
         	sym.$("error")[0].play();
         	sym.$("error")[0].muted = false;
         	//botones
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").show();
         	sym.$("hotspot_reiniciar").show();
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("normal");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         }
         
         
         });
         //BOTÓN SOLUCIÓN
         sym.$('hotspot_solucion').click(function(){
         sym.$("caja_cerrada").hide();
         sym.$("caja_cerrada_tapa").show();
         sym.$("caja_abierta").show();
         sym.$("huecos-01").show();
         sym.$("Drag_1").show();
         sym.$("Drag_2").show();
         sym.$("Drag_3").show();
         sym.$("Drag_6").show();
         
         
         //botones
         sym.getSymbol("bt_validar").stop("down");
         sym.getSymbol("bt_solucion").stop("down");
         sym.getSymbol("bt_reiniciar").stop("normal");
         sym.$("hotspot_validar").hide();
         sym.$("hotspot_solucion").hide();
         sym.$("hotspot_reiniciar").show();
         
         //Oculta las leyendas
         sym.$("resp_correcta").hide();
         sym.$("resp_incorrecta").hide();
         
         var colorok = sym.getVariable("colorok");
         var fondook = sym.getVariable("fondook");
         
         var leftDrag = [];
         var topDrag = [];
         
         for (var h=1; h<=TotalDragElements; h++){
         	leftDrag[h] = sym.getVariable("left"+h);
         	topDrag[h] = sym.getVariable("top"+h);
         }
         
         var devueltos= TotalDropElements+1;
         
         for(var i=1; i<=TotalDropElements; i++){
         	sym.$("Drag_"+i).css({top: topDrag[i], left: leftDrag[i]});
         	coordenadas("Drop_"+i, "Drag_"+i);
         	sym.$("Drop_"+i).css({background: fondook});
         }
         
         for(var i=devueltos; i<=TotalDragElements; i++){
         	sym.$("Drag_"+i).animate({top: topDrag[i], left: leftDrag[i]},150);
         }
         
         
         
         function coordenadas (Drop, simbolo) {
         	varxdrop = sym.$(Drop).css("left");
         	varydrop = sym.$(Drop).css("top");
         	varxdropanch = sym.$(Drop).css("width");
         	varydropalto = sym.$(Drop).css("height");
         	varxdropcentro = parseInt(varxdrop) + parseInt(varxdropanch)/2;
         	varydropcentro = parseInt(varydrop) + parseInt(varydropalto)/2;
         	varxdraganch = sym.$(simbolo).css("width");
         	varydragalto = sym.$(simbolo).css("height");
         	varxdragcentro = parseInt(varxdraganch)/2;
         	varydragcentro = parseInt(varydragalto)/2;
         	sym.$(simbolo).animate({top: varydropcentro-varydragcentro, left: varxdropcentro-varxdragcentro},150);
         };
         
         });
         //BOTÓN REINICIAR
         sym.$('hotspot_reiniciar').click(function(){
         sym.$("caja_cerrada").show();
         sym.$("caja_cerrada_tapa").hide();
         sym.$("caja_abierta").hide();
         sym.$("huecos-01").show();
         sym.$("Drag_1").show();
         sym.$("Drag_2").show();
         sym.$("Drag_3").show();
         sym.$("Drag_6").show();
         
         //botones
         	sym.getSymbol("bt_validar").stop("normal");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("down");
         	sym.$("hotspot_validar").show();
         	sym.$("hotspot_reiniciar").hide();
         	sym.$("hotspot_solucion").hide();  
         //Oculta las leyendas
         sym.$("resp_correcta").hide();
         sym.$("resp_incorrecta").hide();
         
         sym.$('[id^="Stage_Drop_"]').attr("dragelement","vacio");
         
         var colorini = sym.getVariable("colorini");
         var fondoini = sym.getVariable("fondoini");
         var tipoactividad = sym.getVariable("tipoactividad");
         
         var lef1 = sym.getVariable("left1");
         var top1 = sym.getVariable("top1");
         var lef2 = sym.getVariable("left2");
         var top2 = sym.getVariable("top2");
         var lef3 = sym.getVariable("left3");
         var top3 = sym.getVariable("top3");
         var lef4 = sym.getVariable("left4");
         var top4 = sym.getVariable("top4");
         var lef5 = sym.getVariable("left5");
         var top5 = sym.getVariable("top5");
         var lef6 = sym.getVariable("left6");
         var top6 = sym.getVariable("top6");
         var lef7 = sym.getVariable("left7");
         var top7 = sym.getVariable("top7");
         var lef8 = sym.getVariable("left8");
         var top8 = sym.getVariable("top8");
         var lef9 = sym.getVariable("left9");
         var top9 = sym.getVariable("top9");
         var lef10 = sym.getVariable("left10");
         var top10 = sym.getVariable("top10");
         var lef11 = sym.getVariable("left11");
         var top11 = sym.getVariable("top11");
         var lef12 = sym.getVariable("left12");
         var top12 = sym.getVariable("top12");
         var lef13 = sym.getVariable("left13");
         var top13 = sym.getVariable("top13");
         var lef14 = sym.getVariable("left14");
         var top14 = sym.getVariable("top14");
         var lef15 = sym.getVariable("left15");
         var top15 = sym.getVariable("top15");
         var lef16 = sym.getVariable("left16");
         var top16 = sym.getVariable("top16");
         var lef17 = sym.getVariable("left17");
         var top17 = sym.getVariable("top17");
         var lef18 = sym.getVariable("left18");
         var top18 = sym.getVariable("top18");
         var lef19 = sym.getVariable("left19");
         var top19 = sym.getVariable("top19");
         var lef20 = sym.getVariable("left20");
         var top20 = sym.getVariable("top20");
         var lef21 = sym.getVariable("left21");
         var top21 = sym.getVariable("top21");
         var lef22 = sym.getVariable("left22");
         var top22 = sym.getVariable("top22");
         var lef23 = sym.getVariable("left23");
         var top23 = sym.getVariable("top23");
         var lef24 = sym.getVariable("left24");
         var top24 = sym.getVariable("top24");
         var lef25 = sym.getVariable("left25");
         var top25 = sym.getVariable("top25");
         var lef26 = sym.getVariable("left26");
         var top26 = sym.getVariable("top26");
         var lef27 = sym.getVariable("left27");
         var top27 = sym.getVariable("top27");
         var lef28 = sym.getVariable("left28");
         var top28 = sym.getVariable("top28");
         var lef29 = sym.getVariable("left29");
         var top29 = sym.getVariable("top29");
         var lef30 = sym.getVariable("left30");
         var top30 = sym.getVariable("top30");
         var lef31 = sym.getVariable("left31");
         var top31 = sym.getVariable("top31");
         var lef32 = sym.getVariable("left32");
         var top32 = sym.getVariable("top32");
         var lef33 = sym.getVariable("left33");
         var top33 = sym.getVariable("top33");
         var lef34 = sym.getVariable("left34");
         var top34 = sym.getVariable("top34");
         var lef35 = sym.getVariable("left35");
         var top35 = sym.getVariable("top35");
         var lef36 = sym.getVariable("left36");
         var top36 = sym.getVariable("top36");
         var lef37 = sym.getVariable("left37");
         var top37 = sym.getVariable("top37");
         var lef38 = sym.getVariable("left38");
         var top38 = sym.getVariable("top38");
         var lef39 = sym.getVariable("left39");
         var top39 = sym.getVariable("top39");
         var lef40 = sym.getVariable("left40");
         var top40 = sym.getVariable("top40");
         var lef41 = sym.getVariable("left41");
         var top41 = sym.getVariable("top41");
         var lef42 = sym.getVariable("left42");
         var top42 = sym.getVariable("top42");
         var lef43 = sym.getVariable("left43");
         var top43 = sym.getVariable("top43");
         var lef44 = sym.getVariable("left44");
         var top44 = sym.getVariable("top44");
         var lef45 = sym.getVariable("left45");
         var top45 = sym.getVariable("top45");
         var lef46 = sym.getVariable("left46");
         var top46 = sym.getVariable("top46");
         var lef47 = sym.getVariable("left47");
         var top47 = sym.getVariable("top47");
         var lef48 = sym.getVariable("left48");
         var top48 = sym.getVariable("top48");
         var lef49 = sym.getVariable("left49");
         var top49 = sym.getVariable("top49");
         var lef50 = sym.getVariable("left50");
         var top50 = sym.getVariable("top50");
         
         for(var i=0; i<=TotalDragElements; i++){
         	sym.$("Drag_"+i).draggable ({
         	disabled: false,
         	});
         	//sym.$("Drop_"+i).css({color: colorini ,background: fondoini});
         	sym.setVariable("DragVar"+i, 0);
         	sym.setVariable("DropVar"+i, 0);
         }
         
         sym.$('[id^="Stage_Drop_"]').css({background: fondoini});
         
         sym.$("Drag_1").css({top: top1, left: lef1});
         sym.$("Drag_2").css({top: top2, left: lef2});
         sym.$("Drag_3").css({top: top3, left: lef3});
         sym.$("Drag_4").css({top: top4, left: lef4});
         sym.$("Drag_5").css({top: top5, left: lef5});
         sym.$("Drag_6").css({top: top6, left: lef6});
         sym.$("Drag_7").css({top: top7, left: lef7});
         sym.$("Drag_8").css({top: top8, left: lef8});
         sym.$("Drag_9").css({top: top9, left: lef9});
         sym.$("Drag_10").css({top: top10, left: lef10});
         sym.$("Drag_11").css({top: top11, left: lef11});
         sym.$("Drag_12").css({top: top12, left: lef12});
         sym.$("Drag_13").css({top: top13, left: lef13});
         sym.$("Drag_14").css({top: top14, left: lef14});
         sym.$("Drag_15").css({top: top15, left: lef15});
         sym.$("Drag_16").css({top: top16, left: lef16});
         sym.$("Drag_17").css({top: top17, left: lef17});
         sym.$("Drag_18").css({top: top18, left: lef18});
         sym.$("Drag_19").css({top: top19, left: lef19});
         sym.$("Drag_20").css({top: top20, left: lef20});
         sym.$("Drag_21").css({top: top21, left: lef21});
         sym.$("Drag_22").css({top: top22, left: lef22});
         sym.$("Drag_23").css({top: top23, left: lef23});
         sym.$("Drag_24").css({top: top24, left: lef24});
         sym.$("Drag_25").css({top: top25, left: lef25});
         sym.$("Drag_26").css({top: top26, left: lef26});
         sym.$("Drag_27").css({top: top27, left: lef27});
         sym.$("Drag_28").css({top: top28, left: lef28});
         sym.$("Drag_29").css({top: top29, left: lef29});
         sym.$("Drag_30").css({top: top30, left: lef30});
         sym.$("Drag_31").css({top: top31, left: lef31});
         sym.$("Drag_32").css({top: top32, left: lef32});
         sym.$("Drag_33").css({top: top33, left: lef33});
         sym.$("Drag_34").css({top: top34, left: lef34});
         sym.$("Drag_35").css({top: top35, left: lef35});
         sym.$("Drag_36").css({top: top36, left: lef36});
         sym.$("Drag_37").css({top: top37, left: lef37});
         sym.$("Drag_38").css({top: top38, left: lef38});
         sym.$("Drag_39").css({top: top39, left: lef39});
         sym.$("Drag_40").css({top: top40, left: lef40});
         sym.$("Drag_41").css({top: top41, left: lef41});
         sym.$("Drag_42").css({top: top42, left: lef42});
         sym.$("Drag_43").css({top: top43, left: lef43});
         sym.$("Drag_44").css({top: top44, left: lef44});
         sym.$("Drag_45").css({top: top45, left: lef45});
         sym.$("Drag_46").css({top: top46, left: lef46});
         sym.$("Drag_47").css({top: top47, left: lef47});
         sym.$("Drag_48").css({top: top48, left: lef48});
         sym.$("Drag_49").css({top: top49, left: lef49});
         sym.$("Drag_50").css({top: top50, left: lef50});
         
         
         });
         //BOTÓN AYUDA
         sym.$('hotspot_ayuda').click(function(){
         // Definir un conmutador para ocultar o mostrar un elemento 
         if (sym.$("help").is(":visible")) {
         	sym.$("help").hide();
         	sym.getSymbol("bt_ayuda").stop("normal");
         } else {
         	sym.$("help").show();
         	sym.getSymbol("bt_ayuda").stop("down");
         }
         
         
         });
         // AYUDA
         sym.$('help').click(function(){
         sym.$("help").hide();
         sym.getSymbol("bt_ayuda").stop("normal");
         });
         
         

      });
      //Edge binding end

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

})(jQuery, AdobeEdge, "EDGE-1010687330");